Bug 1277488 - python-pycurl: use-after-free vulnerability in HTTPPOST when using FORM_BUFFERPTR with Unicode string
python-pycurl: use-after-free vulnerability in HTTPPOST when using FORM_BUFFE...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20151023,reported=2...
: Security
Depends On: 1277489 1277490
Blocks: 1277491
  Show dependency treegraph
 
Reported: 2015-11-03 08:10 EST by Adam Mariš
Modified: 2016-11-08 10:54 EST (History)
2 users (show)

See Also:
Fixed In Version: python-pycurl 7.19.5.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-01 08:52:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-11-03 08:10:22 EST
A use-after-free vulnerability was found in Curl object's HTTPPOST setopt when a Unicode value is passed as a value with a FORM_BUFFERPTR. The str object created from the passed in unicode object would have its buffer used but the unicode object would be stored instead of the str object.

Upstream patch:

https://github.com/clintclayton/pycurl/commit/2a743674dcf152beaaf6adaddb1ef51b18d1fffe
Comment 1 Adam Mariš 2015-11-03 08:10:50 EST
Created python-pycurl tracking bugs for this issue:

Affects: fedora-all [bug 1277489]
Affects: epel-5 [bug 1277490]
Comment 2 Kamil Dudka 2015-11-03 13:22:31 EST
(In reply to Adam Mariš from comment #1)
> Affects: epel-5 [bug 1277490]

How are you confirming that epel-5 is affected?

I see no CURLFORM_BUFFERPTR handling in python-pycurl-7.15.5.1-4.el5.
Comment 4 Tomas Hoger 2015-12-01 08:52:29 EST
CURLFORM_BUFFERPTR support was only introduced in pycurl version 7.19.3.  The versions used in Red Hat Enterprise Linux 7 and earlier are 7.19.0 or earlier.  Therefore, no version currently in Red Hat Enterprise Linux is affected by this issue.  Problem was fixed upstream 7.19.5.2.

Note You need to log in before you can comment on or make changes to this bug.